.modal-main-product .modal-body {
    display: flex;
    justify-content: space-between;
    gap: 40px;
}
.modal-main-product .modal-body__left {
    max-height: calc(726px - 80px);
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 100%;
    max-width: 610px;
    overflow: auto;
    scrollbar-width: none;
    -ms-overflow-style: none;
}
.modal-main-product .modal-body__left::-webkit-scrollbar {
    display: none;
}
.modal-main-product .modal-body__img {
    max-height: 460px;
}
.modal-main-product .modal-body__img img {
    width: 100%;
    max-height: 460px;
    object-fit: cover;
    object-position: center;
    aspect-ratio: 609 / 460;
    border-radius: 15px;
}
.modal-main-product .catalog-elem__info {
    max-width: 475px;
}
.modal-main-product .modal-body__compound {
    max-width: 475px;
    display: flex;
    flex-direction: column;
    gap: 16px;
    font-family: "Montserrat", sans-serif;
}
.modal-main-product .modal-body__compound.mobile-display {
    display: none;
}
.modal-main-product .modal-body__compound-caption {
    font-weight: 500;
    font-size: 14px;
    line-height: 130%;
    letter-spacing: -0.03em;
    color: #797979;
}
.modal-main-product .modal-body__compound-list {
    display: flex;
    flex-wrap: wrap;
    gap: 6px;
}
.modal-main-product .modal-body__compound-item {
    display: inline-flex;
    border: 1px solid #efe9e1;
    border-radius: 100px;
    padding: 8px 10px;
    font-weight: 400;
    font-size: 14px;
    line-height: 1;
    letter-spacing: -0.03em;
    color: #ad8965;
}
.modal-main-product .catalog-elem__info-price__price {
    font-weight: 600;
    font-size: 28px;
    line-height: 1;
    letter-spacing: -0.03em;
}
.modal-main-product .catalog-elem__info-price span {
    font-size: 16px;
    line-height: 1;
    letter-spacing: -0.03em;
    padding: 0 8px;
}
.modal-main-product .catalog-elem__info-price__weight {
    font-size: 16px;
}
.modal-main-product .block-main_page-about__btn a {
    font-family: "Montserrat", sans-serif;
}
.modal-main-product .block-main_page-about__btn {
    align-items: inherit;
}
.modal-main-product .add2button_area input {
    font-family: "Montserrat", sans-serif;
    font-weight: 500;
    font-size: 16px;
    line-height: 130%;
    letter-spacing: -0.03em;
    color: #393939;
}
.modal-main-product .addMoreBtnArea {
    border-radius: 10px;
    background: #f8f5f1;
    display: flex;
    align-items: center;
    padding: 0;
}
.modal-main-product .add2button_area .addMoreBtn_minus:after,
.modal-main-product .add2button_area .addMoreBtn_plus:before,
.modal-main-product .add2button_area .addMoreBtn_plus:after {
    background: #393939;
}
.modal-main-product .modal-content-refill {
    display: flex;
    flex-direction: column;
    gap: 16px;
}
.modal-main-product .modal-content-dop {
    gap: 16px;
    max-width: 420px;
}
.modal-main-product .modal-content-dop .modal-content__title,
.modal-main-product .modal-content-refill .modal-content__title {
    font-family: "Montserrat", sans-serif;
    font-weight: 500;
    font-size: 14px;
    color: #797979;
}
.modal-main-product .modal-content-dop-list {
    display: flex;
    gap: 12px;
    flex-direction: column;
}
.modal-main-product .modal-content__content {
    flex: 1;
}
.modal-main-product .modal-content-dop-item {
    border-radius: 0;
    padding: 0;
    background: transparent;
    display: flex;
    flex-direction: row;
    gap: 10px;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}
.modal-main-product .modal-content-dop-item .img {
    background: #f8f5f1;
    padding: 0;
    border-radius: 0;
    width: 80px;
    height: 80px;
}
.modal-main-product .modal-content-dop-item__caption {
    font-family: "Montserrat", sans-serif;
    font-weight: 400;
    font-size: 16px;
    line-height: 130%;
    letter-spacing: -0.03em;
    color: #797979;
}
.modal-main-product .modal-content-dop-item .add2button_area {
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 120px;
    width: 100%;
    height: 50px;
    overflow: hidden;
    background: #f8f5f1;
    border-radius: 10px;
}
.modal-main-product .info-price {
    font-family: "Montserrat", sans-serif;
    display: flex;
    align-items: center;
    gap: 8px;
    font-weight: 400;
    font-size: 14px;
    line-height: 1;
}
.modal-main-product .info-price__price {
    font-weight: 600;
    font-size: 20px;
    line-height: 1;
    letter-spacing: -0.03em;
    color: #68492b;
}
.modal-main-product .modal-content-dop-item .add2button_area .addMoreBtn_minus,
.modal-main-product .modal-content-dop-item .add2button_area .addMoreBtn_plus {
    background: transparent;
}
.modal-main-product .input-group__time {
    z-index: 10;
}
.modal-main-product .date-block-2 {
    padding: 5px 20px;
    justify-content: space-between;
}
.modal-main-product .date-block-2 input {
    font-family: "Montserrat", sans-serif;
    padding-left: 0px !important;
    outline: none !important;
    font-weight: 500;
    font-size: 12px;
    letter-spacing: -0.03em;
    color: #393939;
}
.modal-main-product .date-block-2 input::placeholder {
    color: #393939;
}
.modal-main-product .modal-content-dop-item__box {
    display: flex;
    flex-direction: column;
    gap: 4px;
    flex: 1;
}
.modal-main-product .modal-body__top {
    position: relative;
}
.modal-main-product .modal-arrow {
    position: absolute;
    width: 32px;
    height: 32px;
    border-radius: 50%;
    background: #efe9e1;
    top: calc(50% - 16px);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 8;
}
.modal-main-product .modal-arrow__prev {
    left: 20px;
}
.modal-main-product .modal-arrow__next {
    right: 20px;
}
.modal-main-product .modal-arrow svg {
    width: 22px;
    height: 22px;
}
.modal-main-product .swiper-dots {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    position: absolute;
    left: 0;
    bottom: 15px !important;
    z-index: 10;
    gap: 10px;
}
.modal-main-product .swiper-pagination-bullet {
    margin: 0;
    opacity: 1;
    border-radius: 100px;
    width: 26px;
    height: 5px;
    background: rgba(255, 255, 255, 0.5);
}
.modal-main-product .swiper-pagination-bullet-active {
    background: rgba(255, 255, 255, 1);
}

.modal-main-product .catalog-elem__info.mobile-display
{
    display: none;
}

.modal-main-product .catalog-elem__info-buy
{
    height: 40px;
    border-radius: 60%;
    width: 25px;
}

/*@media (max-width: 1199px) {*/
/*    .modal-main-product .modal-body__left {*/
/*        max-width: 52%;*/
/*    }*/
/*}*/
@media (max-width: 1099px) {
    .modal-main-product .modal__container {
        padding: 20px;
        border-radius: 20px;
    }
    .modal-main-product .modal-body {
        gap: 20px;
    }
}
@media (max-width: 768px) {
    .modal-main-product .modal-body__left {
        height: 240px;
        border-radius: 10px;
        overflow: hidden;
        display: none;
        margin-top: 24px;
        margin-bottom: 24px;
    }
    .modal-main-product .modal__overlay {
        align-items: flex-end;
    }
    .modal-main-product .modal__container {
        padding: 25px 15px 100px;
        border-radius: 20px 20px 0px 0px;
    }
    .modal-main-product .modal-content__content {
        max-height: calc(100dvh - 260px);
        padding-bottom: 20px;
    }
    .modal-main-product .modal-body__compound.mobile-display {
        display: flex;
    }
    .modal-main-product .modal-content-dop {
        gap: 16px;
        max-width: 100%;
    }
    .modal-main-product .modal-content__btn {
        position: fixed;
        bottom: 0;
        left: 0;
        width: calc(100% - 30px);
        padding: 20px 15px;
        background-color: #fff;
        z-index: 99;
        box-shadow: 0 -10px 20px 0 rgba(107, 99, 91, 0.06);
    }
    .modal-main-product .modal-content__title {
        display: block;
    }
    .modal-main-product .modal-content-dop-item__box {
        flex: 1;
    }
    .modal-main-product .modal-content-dop-item__caption {
        flex: 1;
    }

    .modal-main-product .catalog-elem__info.mobile-display
    {
        display: block;
    }
}
@media (max-width: 610px) {
    .modal-main-product .modal__container {
        height: 100%;
        padding: 26px 16px;
    }
    .modal-main-product .modal-content__title {
        font-size: 18px;
        line-height: 1.2;
        padding-right: 0;
    }
    .modal-main-product .catalog-elem__info-price span,
    .modal-main-product .catalog-elem__info-price__weight,
    .modal-main-product .catalog-elem__info,
    .modal-main-product .modal-content-dop-item__caption {
        font-size: 14px;
    }
    .modal-main-product .modal-content-dop, .modal-main-product .modal-content-refill {
        gap: 12px;
    }
    .modal-main-product .modal-content-dop-item__box {
        flex-direction: column;
    }
    .modal-main-product .modal-body__compound {
        max-width: 100%;
        gap: 12px;
    }
    .modal-main-product .modal-body__compound-item {
        padding: 7px 10px;
        font-size: 12px;
    }
    .modal-main-product .block-main_page-about__btn {
        gap: 8px;
    }
    .modal-main-product .modal-content__btn .addMoreBtnArea {
        width: 125px;
        padding: 5px;
    }
    .modal-main-product .modal-content__content {
        max-height: calc(100dvh - 215px);
    }
    .modal-main-product .swiper-dots {
        bottom: 22px !important;
    }
}
@media (max-width: 568px) {
    .modal-main-product .modal-body__img img {
        border-radius: 10px;
        aspect-ratio: 343 / 251;
    }
}

.modal-main-product .modal-content .modal-content-dop-item .add2button_area input
{
    font-size: 15px;
}

.modal-main-product .modal-content .catalog-elem__info
{
    padding-right: 20px;
    max-width: none;
}

/*********************** SELECT *********************/
.basket-items-list-block {
    overflow: visible;
}
.select-time-block {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    width: 100%;
    position: relative;
    z-index: 16;
}
.select-time-block > input[type="hidden"] {
    display: none;
}
.select-time-header {
    position: relative;
    width: 100%;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border: 1px solid #efe9e1;
    border-radius: 6px;
    padding: 8px;
    box-sizing: border-box;
}
.select-time-header input[type="text"] {
    background: transparent;
    box-sizing: border-box;
    border-radius: 0px;
    border: none;
    font-family: "Montserrat", sans-serif;
    font-weight: 500;
    font-size: 12px;
    line-height: 110%;
    letter-spacing: -0.03em;
    color: #393939;
    outline: none;
    padding: 0;
}
.select-time-arrow {
    transition: transform ease-in-out 0.3s;
}
.select-time-header.select .select-time-arrow {
    transform: rotate(-180deg);
}
.select-time-dropdown {
    position: absolute;
    top: 110%;
    width: calc(100% - 2px);
    border: 1px solid #dedede;
    border-radius: 10px;
    box-shadow: 0 6px 20px 0 rgba(58, 28, 5, 0.1);
    background: #fff;
    display: none;
}
.select-time-dropdown.active {
    display: block;
    z-index: 99;
}
.select-time-options {
    height: 100%;
    max-height: 228px;
    overflow-y: scroll;
    overflow-x: hidden;
    border-radius: 10px;
}
.select-time-option {
    font-family: "Montserrat", sans-serif;
    font-weight: 400;
    font-size: 12px;
    line-height: 130%;
    letter-spacing: -0.03em;
    color: #393939;
    border-radius: 0 !important;
    padding: 8px 12px;
    height: auto;
    width: 100%;
    display: flex;
    border: none !important;
    justify-content: flex-start;
    transition: .3s ease;
}
.select-time-option input {
    display: none;
}
.select-time-option:hover {
    background: #f8f5f1;
}
.select-time-options::-webkit-scrollbar {
    width: 4px;
}
.select-time-options::-webkit-scrollbar-track {
    background: #ffffff;
    border-radius: 18px;
}
.select-time-options::-webkit-scrollbar-thumb {
    background-color: #dedede;
    border-radius: 18px;
}
@media (max-width: 645px) {
    .basket-items-list-item-container:last-child {
        padding-bottom: 16px;
    }
}

@media (max-width: 645px) {
    .basket-items-list-item-container:last-child {
        padding-bottom: 16px;
    }
}


@media (max-width: 610px) {
    .select-time-block {
        min-width: 190px;
    }
    .select-time-option {
        font-size: 12px;
        padding: 8px 9px;
    }
}